<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/transitional.dtd">

<html>

  <head>
    <title>Cannot add header information - headers already sent by...</title>
    <link rel="stylesheet" type="text/css" href="../../src/self.css">
    <meta name="description"    content="Folgender Fehler schreibt PHP: Cannot add header information - headers already sent by...">
    <meta name="keywords"       content="Fehler, PHP, Cannot, add, header, information, headers, already, sent, by">
    <meta name="author"         content="Damir Enseleit, mail@selfphp3.de">
    <meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
    <meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp3.de">
    <meta name="DC.Date"        content="2003-07-17T16:35:22+02:00">
    <meta name="DC.Identifier"  content="http://www.selfphp.info/fragen_antworten/fehlermeldungen/cannot_add_header_information.php">
    <meta name="DC.Language"    content="de">
    <meta name="DC.Rights"      content="../../editorial/index.html">
    <meta name="SELF.Firstdate" content="2001-08-02T02:08+01:00">
    <meta name="SELF.Version"   content="1">
    <meta name="SELF.Pagetype"  content="Ordner">
    <meta name="SELF.Path"      content="SELFPHP == ../../index.html">
  </head>

  <body bgcolor="#FFFFFF" text="#000000" link="#AA5522" vlink="#772200" alink="#000000">
    <table width="100%" border="0" cellspacing="0" cellpadding="4">
      <tr> 
        <td bgcolor="#FFEEDD" colspan="3" class="nav"><a name="top" class="an"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="../index.html"><b>Fragen &amp; Antworten</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="index.html"><b>Fehlermeldungen</b></a></td>
      </tr>
      <tr> 
        <td width="11%" bgcolor="#EEEEEE" class="doc"><img src="../../src/logo.gif" width="106" height="109" border="0" alt="SELFPHP"></td>
        <td bgcolor="#EEEEEE" valign="bottom" class="doc"><h2>Cannot add header information - headers already sent by...</h2></td>
        
    <td bgcolor="#EEEEEE" align="right" valign="bottom" class="doc">&nbsp; </td>
      </tr>
      <tr>
        <td bgcolor="#EEEEEE" align="center" valign="top" class="doc"><img src="../../src/dokx.gif" width="30" height="20" border="0" alt="Informationsseite" /></td>
        <td bgcolor="#FFFFFF" valign="top" nowrap colspan="2"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#frage"><b>Frage</b></a><br />
          <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#antwort"><b>Antwort</b></a></td>
      </tr>
      <tr>
        <td colspan="3" class="doc"><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a></td>
      </tr>
    </table>
    <h2 class="Sh2"><a name="frage" class="an">Frage</a></h2>
    <table width="100%" cellpadding="10">
      <tr>
        <td bgcolor="#E4EEFF" class="xmpcode">Mein Skript bricht immer mit folgender Fehlermeldung ab:<br /><b>Warning: Cannot add header information - headers already sent by...</b><br />Wo liegt der Fehler?</td>
      </tr>
    </table>
    <br /><br />
    <table width="100%" class="doc">
      <tr>
        <td><a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben" /></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten" /></a></td>
      </tr>
    </table>
    <h2 class="Sh2"><a name="antwort" class="an">Antwort</a></h2>
    <table width="100%" cellpadding="10">
      <tr>
        <td bgcolor="#E4EEFF" class="xmpcode">Diese Fehlermeldung steht im direkten Zusammenhang mit der Funktion header().<br />Die Fehlermeldung ensteht dadurch, dass vor dem Aufruf von header() schon etwas<br />zum Client gesendet wurde. Es ist darauf zu achten, dass weder HTML- noch<br />PHP-Fragmente zum Browser gesendet werden. Oftmals reicht schon ein einzelnes<br />Leerzeichen vor der Funktion header() aus, um diesen Fehler zu verursachen. Eine<br />weitere Fehlerquelle sind die Standard-Fehlermeldungen von PHP. Codefragmente vor dem<br />header() Befehl k&ouml;nnen Fehlermeldungen erzeugen, die allerdings mit dem <b><a href="fehlermeldungen_unterdruecken.html">@</a></b>unterdr&uuml;ckt<br />werden k&ouml;nnen. Fehlt dieses @ z.B. bei einer MySQL-Abfrage vor dem header()-Befehl<br />und es kommt zu einem Fehler, so wird die Fehlermeldung von MySQL zum Browser<br />gesendet - dieses w&uuml;rde dann auch zu einem header()-Fehler f&uuml;hren.</td>
      </tr>
    </table>
    <br /><br />
    <table  width="100%" border="0" cellspacing="0" cellpadding="4">
      <tr>
        <td colspan="3" class="doc"><a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a></td>
      </tr>
      <tr>
        <td width="11%" align="right" class="doc">weiter:<a href="fehlermeldungen_unterdruecken.html"><img src="../../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
        <td colspan="2"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> <a href="fehlermeldungen_unterdruecken.html"><b>Das @-Zeichen vor Funktionsaufrufen</b></a></td>
      </tr>
      <tr>
        <td align="right" class="doc">zur&uuml;ck:<a href="index.html"><img src="../../src/prev.gif" width="10" height="10" border="0" hspace="10" alt="zur&uuml;ck"></a></td>
        <td colspan="2"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> <a href="index.html"><b>Fehlermeldungen</b></a></td>
      </tr>
      <tr>
        <td colspan="3" class="doc">&#160;</td>
      </tr>
      <tr>
        <td bgcolor="#FFEEDD" colspan="3" class="nav"><a name="bottom" class="an"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="../index.html"><b>Fragen &amp; Antworten</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="index.html"><b>Fehlermeldungen</b></a></td>
      </tr>
      <tr>
        <td colspan="3"><a name="bottom" class="an"><br>&copy; 2001, 2002, 2003</a> <img src="../../src/mail.gif" width="15" height="10" border="0" alt="E-Mail"> <a href="mailto:mail@selfphp.com">Damir Enseleit, mail@selfphp.com</a>&nbsp;,&nbsp;&nbsp;<a href="http://www.selfphp.info/impressum.html">Impressum</a></td>
      </tr>
    </table>
  </body>

</html>